Subject: bug#50061: 28.0.50; Hang caused by savehist-save when saving kill ring with large amount of data from nxml-mode buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Aug 2021 17:31:42 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 15 Aug 2021 16:23:54 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I see the filter you installed removes the fontified property as well?
> > Why is that? I don't think we do that anywhere else.
> 
> I thought I vaguely remembered nxml-mode using the font-lock machinery
> for some of this stuff, so I wanted (when yanking stuff back into an
> nxml-mode buffer) all of the data to be recomputed (if necessary).
> 
> But I may be misremembering -- if it's not using font-lock for this,
> then removing `fontified' should be unnecessary. 

I think we shouldn't remove that property, because it's unnecessary,
and because filter-buffer-substring-function is used not only for
copying text into the kill-ring.  We should leave there properties
that cause no trouble.